curl --request GET \
--url https://api.plane.com/v1/employments \
--header 'Authorization: Bearer <token>'{
"employments": [
{
"id": "wre_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"primary": true,
"current": true,
"classification": {
"id": "wrc_xyz789"
},
"compensation": {
"id": "wco_def456"
},
"role": {
"id": "wrl_ghi012"
},
"location": {
"id": "loc_jkl345"
},
"reporting": {
"id": "wrp_mno678"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Returns a list of all employments in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/employments \
--header 'Authorization: Bearer <token>'{
"employments": [
{
"id": "wre_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"primary": true,
"current": true,
"classification": {
"id": "wrc_xyz789"
},
"compensation": {
"id": "wco_def456"
},
"role": {
"id": "wrl_ghi012"
},
"location": {
"id": "loc_jkl345"
},
"reporting": {
"id": "wrp_mno678"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with obj_foo,
your subsequent call can include starting_after=obj_foo in order to fetch the next page of the
list.ending_before=obj_bar in order to fetch the previous page of the
list.employments property that contains an array of up to limit employments, starting after employment starting_after.
Each entry in the array is a separate employment object. If no more employments are available, the resulting array will be empty.
{
"employments": [
{
"id": "wre_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"primary": true,
"current": true,
"classification": {
"id": "wrc_xyz789"
},
"compensation": {
"id": "wco_def456"
},
"role": {
"id": "wrl_ghi012"
},
"location": {
"id": "loc_jkl345"
},
"reporting": {
"id": "wrp_mno678"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Was this page helpful?